body {
  margin: 0;
  padding: 0;
  font-size: 14px !important;
}
.container,
.container-fluid {
  margin: 0;
  padding: 0;
}
.text-promise {
  color: #007ad9;
}

.context-menu-link:hover {
  cursor: pointer;
  background: #ddd;
}
.loading-text {
  display: block;
  background-color: #f1f1f1;
  min-height: 19px;
  animation: pulse 1s infinite ease-in-out;
  text-indent: -99999px;
  overflow: hidden;
}
@-webkit-keyframes pulse {
  0% {
    background-color: hsla(0, 0%, 64.7%, 0.1);
  }
  50% {
    background-color: hsla(0, 0%, 64.7%, 0.3);
  }
  to {
    background-color: hsla(0, 0%, 64.7%, 0.1);
  }
}
.h-100 {
  height: 100%;
}
.h-fit {
  height: fit-content;
}
.w-100 {
  width: 100%;
}
.w-75 {
  width: 75%;
}
.w-50 {
  width: 50%;
}
.w-70 {
  width: 70%;
}
.w-60 {
  width: 60%;
}

.w-30 {
  width: 30%;
}
.w-40 {
  width: 40%;
}
.w-25 {
  width: 25%;
}
.w-auto {
  width: auto;
}
.mw-100 {
  max-width: 100%;
}
.mh-100 {
  max-height: 100%;
}
.min-vw-100 {
  min-width: 100vw;
}
.min-vh-100 {
  min-height: 100vh;
}
.vw-100 {
  width: 100vw;
}
.vh-100 {
  height: 100vh;
}
.form-group {
  margin-bottom: 0.5rem;
}
.form-row {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin-right: -5px;
  margin-left: -5px;
}
.col,
.col-1,
.col-10,
.col-11,
.col-12,
.col-2,
.col-3,
.col-4,
.col-5,
.col-6,
.col-7,
.col-8,
.col-9,
.col-auto,
.col-lg,
.col-lg-1,
.col-lg-10,
.col-lg-11,
.col-lg-12,
.col-lg-2,
.col-lg-3,
.col-lg-4,
.col-lg-5,
.col-lg-6,
.col-lg-7,
.col-lg-8,
.col-lg-9,
.col-lg-auto,
.col-md,
.col-md-1,
.col-md-10,
.col-md-11,
.col-md-12,
.col-md-2,
.col-md-3,
.col-md-4,
.col-md-5,
.col-md-6,
.col-md-7,
.col-md-8,
.col-md-9,
.col-md-auto,
.col-sm,
.col-sm-1,
.col-sm-10,
.col-sm-11,
.col-sm-12,
.col-sm-2,
.col-sm-3,
.col-sm-4,
.col-sm-5,
.col-sm-6,
.col-sm-7,
.col-sm-8,
.col-sm-9,
.col-sm-auto,
.col-xl,
.col-xl-1,
.col-xl-10,
.col-xl-11,
.col-xl-12,
.col-xl-2,
.col-xl-3,
.col-xl-4,
.col-xl-5,
.col-xl-6,
.col-xl-7,
.col-xl-8,
.col-xl-9,
.col-xl-auto {
  position: relative;
  width: 100%;
  min-height: 1px;
  padding-right: 15px;
  padding-left: 15px;
}
.required {
  color: #e91224;
}
.font-weight-bold {
  font-weight: 700 !important;
}
button:hover {
  cursor: pointer;
}
button.btn-transparent {
  border: 0;
  background: transparent;
  outline: none;
}

.p-button.p-button-outlined {
  background-color: transparent;
  color: #2196f3;
  border: 1px solid;
}
.p-button.p-button-text {
  background-color: transparent;
  color: #2196f3;
  border-color: transparent;
}

.mt-0 {
  margin-top: 0 !important;
}
.mt-1 {
  margin-top: 0.25rem !important;
}
.mt-2 {
  margin-top: 0.5rem !important;
}
.mt-3 {
  margin-top: 1rem !important;
}
.mt-4 {
  margin-top: 1.5rem !important;
}
.mt-5 {
  margin-top: 3rem !important;
}
.text-center {
  text-align: center;
}
.bg-red {
  background: red !important;
  color: white;
}
.bg-pale-yellow {
  background: rgba(255, 255, 0, 0.2) !important;
}
.bg-orange {
  background: orange !important;
  color: white;
}
.bg-light-blue {
  /* background: lightblue; */
  background: rgb(229, 239, 249);
}
.bg-light-blue label {
  color: black !important;
}
.background-gray {
  background: lightgray !important;
}
.background-gray label {
  color: black !important;
}
.background-outside-table {
  background: rgba(211, 211, 211, 0.125);
}
.bg-dark-yellow {
  /* background: #9b870c!important; */
  background: #ffff33 !important;
  color: black !important;
}
.bg-row-disabled {
  background: #79c879 !important;
  color: black !important;
}


label {
  color: darkgray !important;
}
label.p-inputtext {
  color: black !important;
}
input {
  color: black !important;
}
::placeholder {
  color: lightgray !important;
  font-size: 14px !important;
}

label.p-placeholder {
  color: lightgray !important;
}
.p-button-warning {
  color: white !important;
}
.p-inputtext {
  font-size: 14px !important;
}
.p-datatable-wrapper {
  font-size: 14px;
}
.p-tree-container {
  font-size: 14px;
}

.p-grid {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin-right: -0.5em;
  margin-left: -0.5em;
  margin-top: -0.5em;
}
.p-grid > .p-col,
.p-grid > [class*="p-col"] {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
.p-nogutter {
  margin-right: 0;
  margin-left: 0;
  margin-top: 0;
}
.p-nogutter > .p-col,
.p-nogutter > [class*="p-col-"] {
  padding: 0;
}
.p-dir-row {
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
}
.p-dir-rev,
.p-dir-row {
  -webkit-box-orient: horizontal;
}
.p-dir-rev {
  -webkit-box-direction: reverse;
  -ms-flex-direction: row-reverse;
  flex-direction: row-reverse;
}
.p-dir-col {
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
}
.p-dir-col,
.p-dir-col-rev {
  -webkit-box-orient: vertical;
}
.p-dir-col-rev {
  -webkit-box-direction: reverse;
  -ms-flex-direction: column-reverse;
  flex-direction: column-reverse;
}
.p-justify-start {
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
}
.p-justify-end {
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
}
.p-justify-center {
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}
.p-justify-between {
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}
.p-justify-around {
  -ms-flex-pack: distribute;
  justify-content: space-around;
}
.p-justify-even {
  -webkit-box-pack: space-evenly;
  -ms-flex-pack: space-evenly;
  justify-content: space-evenly;
}
.p-align-start {
  -webkit-box-align: start;
  -ms-flex-align: start;
  align-items: flex-start;
}
.p-align-end {
  -webkit-box-align: end;
  -ms-flex-align: end;
  align-items: flex-end;
}
.p-align-center {
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}
.p-align-baseline {
  -webkit-box-align: baseline;
  -ms-flex-align: baseline;
  align-items: baseline;
}
.p-align-stretch {
  -webkit-box-align: stretch;
  -ms-flex-align: stretch;
  align-items: stretch;
}
.p-col {
  -webkit-box-flex: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
  -ms-flex-preferred-size: 0;
  flex-basis: 0;
  padding: 0.5em;
}
.p-col-fixed {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
  padding: 0.5em;
}
.p-col-align-start {
  -ms-flex-item-align: start;
  align-self: flex-start;
}
.p-col-align-end {
  -ms-flex-item-align: end;
  align-self: flex-end;
}
.p-col-align-center {
  -ms-flex-item-align: center;
  -ms-grid-row-align: center;
  align-self: center;
}
.p-col-align-baseline {
  -ms-flex-item-align: baseline;
  align-self: baseline;
}
.p-col-align-stretch {
  -ms-flex-item-align: stretch;
  -ms-grid-row-align: stretch;
  align-self: stretch;
}
.p-dir-col-rev > .p-col,
.p-dir-col > .p-col {
  -ms-flex-preferred-size: auto;
  flex-basis: auto;
}
.p-col-1,
.p-col-2,
.p-col-3,
.p-col-4,
.p-col-5,
.p-col-6,
.p-col-7,
.p-col-8,
.p-col-9,
.p-col-10,
.p-col-11,
.p-col-12 {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
  padding: 0.5em;
}
.p-col-1 {
  width: 8.3333%;
}
.p-col-2 {
  width: 16.6667%;
}
.p-col-3 {
  width: 25%;
}
.p-col-4 {
  width: 33.3333%;
}
.p-col-5 {
  width: 41.6667%;
}
.p-col-6 {
  width: 50%;
}
.p-col-7 {
  width: 58.3333%;
}
.p-col-8 {
  width: 66.6667%;
}
.p-col-9 {
  width: 75%;
}
.p-col-10 {
  width: 83.3333%;
}
.p-col-11 {
  width: 91.6667%;
}
.p-col-12 {
  width: 100%;
}
.p-col-order-first {
  -ms-flex-order: -1;
  -webkit-box-ordinal-group: 0;
  order: -1;
}
.p-col-order-last {
  -ms-flex-order: 13;
  -webkit-box-ordinal-group: 14;
  order: 13;
}
.p-col-order-0 {
  -ms-flex-order: 0;
  -webkit-box-ordinal-group: 1;
  order: 0;
}
.p-col-order-1 {
  -ms-flex-order: 1;
  -webkit-box-ordinal-group: 2;
  order: 1;
}
.p-col-order-2 {
  -ms-flex-order: 2;
  -webkit-box-ordinal-group: 3;
  order: 2;
}
.p-col-order-3 {
  -ms-flex-order: 3;
  -webkit-box-ordinal-group: 4;
  order: 3;
}
.p-col-order-4 {
  -ms-flex-order: 4;
  -webkit-box-ordinal-group: 5;
  order: 4;
}
.p-col-order-5 {
  -ms-flex-order: 5;
  -webkit-box-ordinal-group: 6;
  order: 5;
}
.p-col-order-6 {
  -ms-flex-order: 6;
  -webkit-box-ordinal-group: 7;
  order: 6;
}
.p-col-order-7 {
  -ms-flex-order: 7;
  -webkit-box-ordinal-group: 8;
  order: 7;
}
.p-col-order-8 {
  -ms-flex-order: 8;
  -webkit-box-ordinal-group: 9;
  order: 8;
}
.p-col-order-9 {
  -ms-flex-order: 9;
  -webkit-box-ordinal-group: 10;
  order: 9;
}
.p-col-order-10 {
  -ms-flex-order: 10;
  -webkit-box-ordinal-group: 11;
  order: 10;
}
.p-col-order-11 {
  -ms-flex-order: 11;
  -webkit-box-ordinal-group: 12;
  order: 11;
}
.p-col-order-12 {
  -ms-flex-order: 12;
  -webkit-box-ordinal-group: 13;
  order: 12;
}
.p-offset-12 {
  margin-left: 100%;
}
.p-offset-11 {
  margin-left: 91.66666667%;
}
.p-offset-10 {
  margin-left: 83.33333333%;
}
.p-offset-9 {
  margin-left: 75%;
}
.p-offset-8 {
  margin-left: 66.66666667%;
}
.p-offset-7 {
  margin-left: 58.33333333%;
}
.p-offset-6 {
  margin-left: 50%;
}
.p-offset-5 {
  margin-left: 41.66666667%;
}
.p-offset-4 {
  margin-left: 33.33333333%;
}
.p-offset-3 {
  margin-left: 25%;
}
.p-offset-2 {
  margin-left: 16.66666667%;
}
.p-offset-1 {
  margin-left: 8.33333333%;
}
.p-offset-0 {
  margin-left: 0;
}
.p-lg-1,
.p-lg-2,
.p-lg-3,
.p-lg-4,
.p-lg-5,
.p-lg-6,
.p-lg-7,
.p-lg-8,
.p-lg-9,
.p-lg-10,
.p-lg-11,
.p-lg-12,
.p-md-1,
.p-md-2,
.p-md-3,
.p-md-4,
.p-md-5,
.p-md-6,
.p-md-7,
.p-md-8,
.p-md-9,
.p-md-10,
.p-md-11,
.p-md-12,
.p-sm-1,
.p-sm-2,
.p-sm-3,
.p-sm-4,
.p-sm-5,
.p-sm-6,
.p-sm-7,
.p-sm-8,
.p-sm-9,
.p-sm-10,
.p-sm-11,
.p-sm-12,
.p-xl-1,
.p-xl-2,
.p-xl-3,
.p-xl-4,
.p-xl-5,
.p-xl-6,
.p-xl-7,
.p-xl-8,
.p-xl-9,
.p-xl-10,
.p-xl-11,
.p-xl-12 {
  padding: 0.5em;
}
.p-col-nogutter {
  padding: 0;
}
@media screen and (min-width: 576px) {
  .p-sm-1,
  .p-sm-2,
  .p-sm-3,
  .p-sm-4,
  .p-sm-5,
  .p-sm-6,
  .p-sm-7,
  .p-sm-8,
  .p-sm-9,
  .p-sm-10,
  .p-sm-11,
  .p-sm-12 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
  }
  .p-sm-1 {
    width: 8.3333%;
  }
  .p-sm-2 {
    width: 16.6667%;
  }
  .p-sm-3 {
    width: 25%;
  }
  .p-sm-4 {
    width: 33.3333%;
  }
  .p-sm-5 {
    width: 41.6667%;
  }
  .p-sm-6 {
    width: 50%;
  }
  .p-sm-7 {
    width: 58.3333%;
  }
  .p-sm-8 {
    width: 66.6667%;
  }
  .p-sm-9 {
    width: 75%;
  }
  .p-sm-10 {
    width: 83.3333%;
  }
  .p-sm-11 {
    width: 91.6667%;
  }
  .p-sm-12 {
    width: 100%;
  }
  .p-sm-offset-12 {
    margin-left: 100%;
  }
  .p-sm-offset-11 {
    margin-left: 91.66666667%;
  }
  .p-sm-offset-10 {
    margin-left: 83.33333333%;
  }
  .p-sm-offset-9 {
    margin-left: 75%;
  }
  .p-sm-offset-8 {
    margin-left: 66.66666667%;
  }
  .p-sm-offset-7 {
    margin-left: 58.33333333%;
  }
  .p-sm-offset-6 {
    margin-left: 50%;
  }
  .p-sm-offset-5 {
    margin-left: 41.66666667%;
  }
  .p-sm-offset-4 {
    margin-left: 33.33333333%;
  }
  .p-sm-offset-3 {
    margin-left: 25%;
  }
  .p-sm-offset-2 {
    margin-left: 16.66666667%;
  }
  .p-sm-offset-1 {
    margin-left: 8.33333333%;
  }
  .p-sm-offset-0 {
    margin-left: 0;
  }
  .p-sm-order-first {
    -ms-flex-order: -1;
    -webkit-box-ordinal-group: 0;
    order: -1;
  }
  .p-sm-order-last {
    -ms-flex-order: 13;
    -webkit-box-ordinal-group: 14;
    order: 13;
  }
  .p-sm-order-0 {
    -ms-flex-order: 0;
    -webkit-box-ordinal-group: 1;
    order: 0;
  }
  .p-sm-order-1 {
    -ms-flex-order: 1;
    -webkit-box-ordinal-group: 2;
    order: 1;
  }
  .p-sm-order-2 {
    -ms-flex-order: 2;
    -webkit-box-ordinal-group: 3;
    order: 2;
  }
  .p-sm-order-3 {
    -ms-flex-order: 3;
    -webkit-box-ordinal-group: 4;
    order: 3;
  }
  .p-sm-order-4 {
    -ms-flex-order: 4;
    -webkit-box-ordinal-group: 5;
    order: 4;
  }
  .p-sm-order-5 {
    -ms-flex-order: 5;
    -webkit-box-ordinal-group: 6;
    order: 5;
  }
  .p-sm-order-6 {
    -ms-flex-order: 6;
    -webkit-box-ordinal-group: 7;
    order: 6;
  }
  .p-sm-order-7 {
    -ms-flex-order: 7;
    -webkit-box-ordinal-group: 8;
    order: 7;
  }
  .p-sm-order-8 {
    -ms-flex-order: 8;
    -webkit-box-ordinal-group: 9;
    order: 8;
  }
  .p-sm-order-9 {
    -ms-flex-order: 9;
    -webkit-box-ordinal-group: 10;
    order: 9;
  }
  .p-sm-order-10 {
    -ms-flex-order: 10;
    -webkit-box-ordinal-group: 11;
    order: 10;
  }
  .p-sm-order-11 {
    -ms-flex-order: 11;
    -webkit-box-ordinal-group: 12;
    order: 11;
  }
  .p-sm-order-12 {
    -ms-flex-order: 12;
    -webkit-box-ordinal-group: 13;
    order: 12;
  }
}
@media screen and (min-width: 768px) {
  .p-md-1,
  .p-md-2,
  .p-md-3,
  .p-md-4,
  .p-md-5,
  .p-md-6,
  .p-md-7,
  .p-md-8,
  .p-md-9,
  .p-md-10,
  .p-md-11,
  .p-md-12 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
  }
  .p-md-1 {
    width: 8.3333%;
  }
  .p-md-2 {
    width: 16.6667%;
  }
  .p-md-3 {
    width: 25%;
  }
  .p-md-4 {
    width: 33.3333%;
  }
  .p-md-5 {
    width: 41.6667%;
  }
  .p-md-6 {
    width: 50%;
  }
  .p-md-7 {
    width: 58.3333%;
  }
  .p-md-8 {
    width: 66.6667%;
  }
  .p-md-9 {
    width: 75%;
  }
  .p-md-10 {
    width: 83.3333%;
  }
  .p-md-11 {
    width: 91.6667%;
  }
  .p-md-12 {
    width: 100%;
  }
  .p-md-offset-12 {
    margin-left: 100%;
  }
  .p-md-offset-11 {
    margin-left: 91.66666667%;
  }
  .p-md-offset-10 {
    margin-left: 83.33333333%;
  }
  .p-md-offset-9 {
    margin-left: 75%;
  }
  .p-md-offset-8 {
    margin-left: 66.66666667%;
  }
  .p-md-offset-7 {
    margin-left: 58.33333333%;
  }
  .p-md-offset-6 {
    margin-left: 50%;
  }
  .p-md-offset-5 {
    margin-left: 41.66666667%;
  }
  .p-md-offset-4 {
    margin-left: 33.33333333%;
  }
  .p-md-offset-3 {
    margin-left: 25%;
  }
  .p-md-offset-2 {
    margin-left: 16.66666667%;
  }
  .p-md-offset-1 {
    margin-left: 8.33333333%;
  }
  .p-md-offset-0 {
    margin-left: 0;
  }
  .p-md-order-first {
    -ms-flex-order: -1;
    -webkit-box-ordinal-group: 0;
    order: -1;
  }
  .p-md-order-last {
    -ms-flex-order: 13;
    -webkit-box-ordinal-group: 14;
    order: 13;
  }
  .p-md-order-0 {
    -ms-flex-order: 0;
    -webkit-box-ordinal-group: 1;
    order: 0;
  }
  .p-md-order-1 {
    -ms-flex-order: 1;
    -webkit-box-ordinal-group: 2;
    order: 1;
  }
  .p-md-order-2 {
    -ms-flex-order: 2;
    -webkit-box-ordinal-group: 3;
    order: 2;
  }
  .p-md-order-3 {
    -ms-flex-order: 3;
    -webkit-box-ordinal-group: 4;
    order: 3;
  }
  .p-md-order-4 {
    -ms-flex-order: 4;
    -webkit-box-ordinal-group: 5;
    order: 4;
  }
  .p-md-order-5 {
    -ms-flex-order: 5;
    -webkit-box-ordinal-group: 6;
    order: 5;
  }
  .p-md-order-6 {
    -ms-flex-order: 6;
    -webkit-box-ordinal-group: 7;
    order: 6;
  }
  .p-md-order-7 {
    -ms-flex-order: 7;
    -webkit-box-ordinal-group: 8;
    order: 7;
  }
  .p-md-order-8 {
    -ms-flex-order: 8;
    -webkit-box-ordinal-group: 9;
    order: 8;
  }
  .p-md-order-9 {
    -ms-flex-order: 9;
    -webkit-box-ordinal-group: 10;
    order: 9;
  }
  .p-md-order-10 {
    -ms-flex-order: 10;
    -webkit-box-ordinal-group: 11;
    order: 10;
  }
  .p-md-order-11 {
    -ms-flex-order: 11;
    -webkit-box-ordinal-group: 12;
    order: 11;
  }
  .p-md-order-12 {
    -ms-flex-order: 12;
    -webkit-box-ordinal-group: 13;
    order: 12;
  }
}
@media screen and (min-width: 992px) {
  .p-lg-1,
  .p-lg-2,
  .p-lg-3,
  .p-lg-4,
  .p-lg-5,
  .p-lg-6,
  .p-lg-7,
  .p-lg-8,
  .p-lg-9,
  .p-lg-10,
  .p-lg-11,
  .p-lg-12 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
  }
  .p-lg-1 {
    width: 8.3333%;
  }
  .p-lg-2 {
    width: 16.6667%;
  }
  .p-lg-3 {
    width: 25%;
  }
  .p-lg-4 {
    width: 33.3333%;
  }
  .p-lg-5 {
    width: 41.6667%;
  }
  .p-lg-6 {
    width: 50%;
  }
  .p-lg-7 {
    width: 58.3333%;
  }
  .p-lg-8 {
    width: 66.6667%;
  }
  .p-lg-9 {
    width: 75%;
  }
  .p-lg-10 {
    width: 83.3333%;
  }
  .p-lg-11 {
    width: 91.6667%;
  }
  .p-lg-12 {
    width: 100%;
  }
  .p-lg-offset-12 {
    margin-left: 100%;
  }
  .p-lg-offset-11 {
    margin-left: 91.66666667%;
  }
  .p-lg-offset-10 {
    margin-left: 83.33333333%;
  }
  .p-lg-offset-9 {
    margin-left: 75%;
  }
  .p-lg-offset-8 {
    margin-left: 66.66666667%;
  }
  .p-lg-offset-7 {
    margin-left: 58.33333333%;
  }
  .p-lg-offset-6 {
    margin-left: 50%;
  }
  .p-lg-offset-5 {
    margin-left: 41.66666667%;
  }
  .p-lg-offset-4 {
    margin-left: 33.33333333%;
  }
  .p-lg-offset-3 {
    margin-left: 25%;
  }
  .p-lg-offset-2 {
    margin-left: 16.66666667%;
  }
  .p-lg-offset-1 {
    margin-left: 8.33333333%;
  }
  .p-lg-offset-0 {
    margin-left: 0;
  }
  .p-lg-order-first {
    -ms-flex-order: -1;
    -webkit-box-ordinal-group: 0;
    order: -1;
  }
  .p-lg-order-last {
    -ms-flex-order: 13;
    -webkit-box-ordinal-group: 14;
    order: 13;
  }
  .p-lg-order-0 {
    -ms-flex-order: 0;
    -webkit-box-ordinal-group: 1;
    order: 0;
  }
  .p-lg-order-1 {
    -ms-flex-order: 1;
    -webkit-box-ordinal-group: 2;
    order: 1;
  }
  .p-lg-order-2 {
    -ms-flex-order: 2;
    -webkit-box-ordinal-group: 3;
    order: 2;
  }
  .p-lg-order-3 {
    -ms-flex-order: 3;
    -webkit-box-ordinal-group: 4;
    order: 3;
  }
  .p-lg-order-4 {
    -ms-flex-order: 4;
    -webkit-box-ordinal-group: 5;
    order: 4;
  }
  .p-lg-order-5 {
    -ms-flex-order: 5;
    -webkit-box-ordinal-group: 6;
    order: 5;
  }
  .p-lg-order-6 {
    -ms-flex-order: 6;
    -webkit-box-ordinal-group: 7;
    order: 6;
  }
  .p-lg-order-7 {
    -ms-flex-order: 7;
    -webkit-box-ordinal-group: 8;
    order: 7;
  }
  .p-lg-order-8 {
    -ms-flex-order: 8;
    -webkit-box-ordinal-group: 9;
    order: 8;
  }
  .p-lg-order-9 {
    -ms-flex-order: 9;
    -webkit-box-ordinal-group: 10;
    order: 9;
  }
  .p-lg-order-10 {
    -ms-flex-order: 10;
    -webkit-box-ordinal-group: 11;
    order: 10;
  }
  .p-lg-order-11 {
    -ms-flex-order: 11;
    -webkit-box-ordinal-group: 12;
    order: 11;
  }
  .p-lg-order-12 {
    -ms-flex-order: 12;
    -webkit-box-ordinal-group: 13;
    order: 12;
  }
}
@media screen and (min-width: 1200px) {
  .p-xl-1,
  .p-xl-2,
  .p-xl-3,
  .p-xl-4,
  .p-xl-5,
  .p-xl-6,
  .p-xl-7,
  .p-xl-8,
  .p-xl-9,
  .p-xl-10,
  .p-xl-11,
  .p-xl-12 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
  }
  .p-xl-1 {
    width: 8.3333%;
  }
  .p-xl-2 {
    width: 16.6667%;
  }
  .p-xl-3 {
    width: 25%;
  }
  .p-xl-4 {
    width: 33.3333%;
  }
  .p-xl-5 {
    width: 41.6667%;
  }
  .p-xl-6 {
    width: 50%;
  }
  .p-xl-7 {
    width: 58.3333%;
  }
  .p-xl-8 {
    width: 66.6667%;
  }
  .p-xl-9 {
    width: 75%;
  }
  .p-xl-10 {
    width: 83.3333%;
  }
  .p-xl-11 {
    width: 91.6667%;
  }
  .p-xl-12 {
    width: 100%;
  }
  .p-xl-offset-12 {
    margin-left: 100%;
  }
  .p-xl-offset-11 {
    margin-left: 91.66666667%;
  }
  .p-xl-offset-10 {
    margin-left: 83.33333333%;
  }
  .p-xl-offset-9 {
    margin-left: 75%;
  }
  .p-xl-offset-8 {
    margin-left: 66.66666667%;
  }
  .p-xl-offset-7 {
    margin-left: 58.33333333%;
  }
  .p-xl-offset-6 {
    margin-left: 50%;
  }
  .p-xl-offset-5 {
    margin-left: 41.66666667%;
  }
  .p-xl-offset-4 {
    margin-left: 33.33333333%;
  }
  .p-xl-offset-3 {
    margin-left: 25%;
  }
  .p-xl-offset-2 {
    margin-left: 16.66666667%;
  }
  .p-xl-offset-1 {
    margin-left: 8.33333333%;
  }
  .p-xl-offset-0 {
    margin-left: 0;
  }
  .p-xl-order-first {
    -ms-flex-order: -1;
    -webkit-box-ordinal-group: 0;
    order: -1;
  }
  .p-xl-order-last {
    -ms-flex-order: 13;
    -webkit-box-ordinal-group: 14;
    order: 13;
  }
  .p-xl-order-0 {
    -ms-flex-order: 0;
    -webkit-box-ordinal-group: 1;
    order: 0;
  }
  .p-xl-order-1 {
    -ms-flex-order: 1;
    -webkit-box-ordinal-group: 2;
    order: 1;
  }
  .p-xl-order-2 {
    -ms-flex-order: 2;
    -webkit-box-ordinal-group: 3;
    order: 2;
  }
  .p-xl-order-3 {
    -ms-flex-order: 3;
    -webkit-box-ordinal-group: 4;
    order: 3;
  }
  .p-xl-order-4 {
    -ms-flex-order: 4;
    -webkit-box-ordinal-group: 5;
    order: 4;
  }
  .p-xl-order-5 {
    -ms-flex-order: 5;
    -webkit-box-ordinal-group: 6;
    order: 5;
  }
  .p-xl-order-6 {
    -ms-flex-order: 6;
    -webkit-box-ordinal-group: 7;
    order: 6;
  }
  .p-xl-order-7 {
    -ms-flex-order: 7;
    -webkit-box-ordinal-group: 8;
    order: 7;
  }
  .p-xl-order-8 {
    -ms-flex-order: 8;
    -webkit-box-ordinal-group: 9;
    order: 8;
  }
  .p-xl-order-9 {
    -ms-flex-order: 9;
    -webkit-box-ordinal-group: 10;
    order: 9;
  }
  .p-xl-order-10 {
    -ms-flex-order: 10;
    -webkit-box-ordinal-group: 11;
    order: 10;
  }
  .p-xl-order-11 {
    -ms-flex-order: 11;
    -webkit-box-ordinal-group: 12;
    order: 11;
  }
  .p-xl-order-12 {
    -ms-flex-order: 12;
    -webkit-box-ordinal-group: 13;
    order: 12;
  }
}

.p-button.p-button-secondary,
.p-buttonset.p-button-secondary > .p-button,
.p-splitbutton.p-button-secondary > .p-button {
  color: #1976d2;
  background: #ffffff;
  border: 1px solid #2196f3;
}

.p-checkbox .p-checkbox-box.p-highlight {
  border: darkorange !important;
  background-color: darkorange !important;
}
.p-radiobutton .p-radiobutton-box.p-highlight {
  border: darkorange !important;
  background-color: darkorange !important;
}

.p-datatable .p-sortable-column.p-highlight {
  background-color: #ed990b !important;
  color: #ffffff;
}

.p-dropdown-filter-container {
  width: 100%;
}

.p-datepicker {
  padding: 0.5rem !important;
}
.p-datepicker table td {
  padding: 0.25rem !important;
}
.p-timepicker {
  padding: 0.375rem !important;
  font-size: 14px !important;
}
.p-timepicker span {
  font-size: 14px !important;
}
.p-timepicker .p-hour-picker {
  margin: 0 !important;
}
.p-timepicker .p-time-picker {
  margin: 0 !important;
}

.p-datatable .p-datatable-tbody > tr.p-highlight {
  background: rgb(133, 193, 233) !important;
}
.p-treenode-content.p-treenode-selectable.p-highlight {
  background: rgb(133, 193, 233) !important;
}
.p-treenode-content.p-treenode-selectable.p-highlight .p-treenode-label {
  font-weight: 700;
}

.vue-treeselect__control {
  border: 1px solid #d5d5d5 !important;
  color: black !important;
  padding: 0 !important;
  border-radius: 3px !important;
}
.vue-treeselect--disabled .vue-treeselect__control {
  background-color: white !important;
}
.vue-treeselect--disabled .vue-treeselect__single-value .text-dark{
  color: darkgray!important;
}
.vue-treeselect__input-container {
  padding-left: 0.429rem !important;
  padding-right: 0.429rem !important;
}
.vue-treeselect__placeholder {
  color: lightgray !important;
}
.vue-treeselect__menu {
  color: black !important;
}

.mtct-font {
  font-weight: 700;
  vertical-align: middle;
}
.mtct-reset {
  content: url("/img/icons/24x24/reset.png");
  color: white;
}
.mtct-reset-white {
  content: url("/img/icons/24x24/reset-white.png");
  color: white;
}

.mtct-siderbar-olive {
  content: url("/img/icons/olive1.png");
  color: white;
  width: 20px;
  height: 20px;
}

.mtct-siderbar-ivy {
  content: url("/img/icons/ivy1.png");
  color: white;
  width: 20px;
  height: 20px;
}
.mtct-siderbar-iris {
  content: url("/img/icons/iris1.png");
  color: white;
  width: 20px;
  height: 20px;
}

.mtct-siderbar-rose {
  content: url("/img/icons/rose1.png");
  color: white;
  width: 20px;
  height: 20px;
}

.mtct-siderbar-gear {
  content: url("/img/icons/32x32/gear.png");
  color: white;
  width: 20px;
  height: 20px;
}

.mtct-siderbar-transparent {
  content: url("/img/icons/transparent.png");
  width: 20px;
  height: 20px;
}

.mtct-barcode-24 {
  content: url("/img/icons/24x24/barcode.png");
  width: 24px;
  height: 24px;
}

.mtct-list-24 {
  content: url("/img/icons/24x24/list.png");
  width: 24px;
  height: 24px;
}

.mtct-load-24 {
  content: url("/img/icons/24x24/load.png");
  width: 24px;
  height: 24px;
}
.mtct-barcode-32 {
  content: url("/img/icons/32x32/barcode.png");
  width: 32px;
  height: 32px;
}

.mtct-list-32 {
  content: url("/img/icons/32x32/list.png");
  width: 32px;
  height: 32px;
}
.mtct-import-32 {
  content: url("/img/icons/32x32/import.png");
  width: 32px;
  height: 32px;
}

.mtct-export-32 {
  content: url("/img/icons/32x32/export.png");
  width: 32px;
  height: 32px;
}

.mtct-load-32 {
  content: url("/img/icons/32x32/load.png");
  width: 32px;
  height: 32px;
}

.reason-for-rejection {
  border: 1px solid #a6a6a6;
  border-radius: 3px;
  padding: 0.429em;
  background-color: #ffffff;
  white-space: pre-line;
  min-height: 56px;
  max-height: 119px;
  overflow-y: auto;
  word-wrap: break-word;
  word-break: break-all;
}